Package com.independentsoft.office.spreadsheet.tables

# Class XmlColumnProperties

java.lang.Object
com.independentsoft.office.spreadsheet.tables.XmlColumnProperties

public class XmlColumnProperties extends Object
The Class XmlColumnProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XmlColumnProperties()`
  Instantiates a new xml column properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XmlColumnProperties`
  `clone()`
  `int`
  `getMapID()`
  Gets the map id.
  `XmlDataType`
  `getType()`
  Gets the type.
  `String`
  `getXPath()`
  Gets the x path.
  `boolean`
  `isDenormalized()`
  Checks if is denormalized.
  `void`
  `setDenormalized​(boolean denormalized)`
  Sets the denormalized.
  `void`
  `setMapID​(int mapID)`
  Sets the map id.
  `void`
  `setType​(XmlDataType type)`
  Sets the type.
  `void`
  `setXPath​(String xPath)`
  Sets the x path.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### XmlColumnProperties

    public XmlColumnProperties()
    Instantiates a new xml column properties.

- ## Method Details

  - ### clone

    public XmlColumnProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isDenormalized

    public boolean isDenormalized()
    Checks if is denormalized.
    Returns:
      true, if is denormalized

  - ### setDenormalized

    public void setDenormalized​(boolean denormalized)
    Sets the denormalized.
    Parameters:
      `denormalized` - the new denormalized

  - ### getMapID

    public int getMapID()
    Gets the map id.
    Returns:
      the map id

  - ### setMapID

    public void setMapID​(int mapID)
    Sets the map id.
    Parameters:
      `mapID` - the new map id

  - ### getType

    public XmlDataType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(XmlDataType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getXPath

    public String getXPath()
    Gets the x path.
    Returns:
      the x path

  - ### setXPath

    public void setXPath​(String xPath)
    Sets the x path.
    Parameters:
      `xPath` - the new x path